package com.docus.server.collect.basic.ws;

import com.docus.server.collect.AbstractWsCollector;
import com.docus.server.entity.TaskConfig;
import com.docus.server.util.PeriodTime;
import com.docus.server.record.common.pojo.dto.TBasicDTO;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 主动ws采集数据
 */
@Component("wsBasicCollectorImpl")
public class WsBasicCollectorImpl extends AbstractWsCollector<TBasicDTO> {

    @Override
    public List<TBasicDTO> page(PeriodTime periodTime, TaskConfig taskConfig) {
        TBasicDTO deptDTO = new TBasicDTO();
        deptDTO.setAdmissDate("1");
        deptDTO.setAdmissDays("admin");
        deptDTO.setAttendingName("1");

        TBasicDTO deptDTO1 = new TBasicDTO();
        deptDTO1.setAdmissDate("2");
        deptDTO1.setAdmissDays("admin2");
        deptDTO1.setAttendingName("2");
        return Lists.newArrayList(deptDTO, deptDTO1);
    }
}
